declare module "@capacitor/core" {
    interface PluginRegistry {
        PowershellPlugin: PowershellPluginPlugin;
    }
}
export interface PowershellPluginPlugin {
    /**
     * @type {any}
     * @default null
     *
     * @description Informations system
     * @note Only Electron
     */
    SysInfosRef?: any;
    /**
     * @type {any}
     * @default null
     *
     * @description node module path
     * @note Only Electron
     */
    Path?: any;
    /**
     * @type {any}
     * @default null
     *
     * @description node module fs-jetpack
     * @note Only Electron
     */
    NodeFs?: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron remote IPC system
     * @note Only Electron
     */
    RemoteRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron renderer IPC system
     * @note Only Electron
     */
    IpcRenderRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron webframe
     * @note Only Electron
     */
    WebFrameRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron DesktopCapture
     * @note Only Electron
     */
    DesktopCapturerRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron Clipboard
     * @note Only Electron
     */
    ClipBoardRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Electron screen
     * @note Only Electron
     */
    ScreenRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description node os package
     * @note Only Electron
     */
    OsRef: any;
    /**
       * @type {any}
       * @default null
       *
       * @description Electron Nodenotifier Package
       * @note Only Electron
       */
    NotifierRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Ndde ssh2 remote
     * @note Only Electron
     */
    SshRef: any;
    /**
     * @type {any}
     * @default null
     *
     * @description Node-powershell to run many commands
     * @note Only Electron
     */
    PowerShellRef: any;
    runPowerShell(cmd: string): Promise<any>;
}
